### Hierarchy

- ScrollableList

### Implements

- OnChanges
- AfterViewInit

## Index

### Inputs

- nScrollableList
- scrollBy
- scrollDownTarget
- scrollEnabled
- scrollUpTarget

### Constructors

- constructor

### Properties

- canScrollDown
- canScrollUp
- elementRef
- hoverScrollInterval
- lastTouch
- list
- nScrollableList
- scrollBy
- scrollDownTarget
- scrollEnabled
- scrollUpTarget

### Methods

- checkScrollArrows
- hoverScrollBy
- ngAfterViewInit
- ngOnChanges
- onHoverDown
- onHoverUp
- onKeyDown
- onTouchMove
- onTouchStart
- onWheel
- updateScrollHeight

## Constructors

### constructor

- new ScrollableList(elementRef: ElementRef): ScrollableList

- - Defined in src/dropdown/scrollable-list.directive.ts:44

  #### Parameters

  - ##### elementRef: ElementRef

  #### Returns ScrollableList

## Properties

### Protected canScrollDown

canScrollDown: boolean = false

- Defined in src/dropdown/scrollable-list.directive.ts:43

### Protected canScrollUp

canScrollUp: boolean = false

- Defined in src/dropdown/scrollable-list.directive.ts:42

### Protected elementRef

elementRef: ElementRef

- Defined in src/dropdown/scrollable-list.directive.ts:46

### Protected hoverScrollInterval

hoverScrollInterval: any

- Defined in src/dropdown/scrollable-list.directive.ts:39

### Protected lastTouch

lastTouch: any

- Defined in src/dropdown/scrollable-list.directive.ts:41

### Protected list

list: any = this.elementRef.nativeElement

- Defined in src/dropdown/scrollable-list.directive.ts:44

### nScrollableList

@Input()
nScrollableList: string = null

- Defined in src/dropdown/scrollable-list.directive.ts:19

### scrollBy

@Input()
scrollBy: number = 10

- Defined in src/dropdown/scrollable-list.directive.ts:36

### scrollDownTarget

@Input()
scrollDownTarget: HTMLElement

- Defined in src/dropdown/scrollable-list.directive.ts:31

### scrollEnabled

@Input()
scrollEnabled: boolean = true

- Defined in src/dropdown/scrollable-list.directive.ts:23

### scrollUpTarget

@Input()
scrollUpTarget: HTMLElement

- Defined in src/dropdown/scrollable-list.directive.ts:27

## Methods

### Protected checkScrollArrows

- checkScrollArrows(): void

- - Defined in src/dropdown/scrollable-list.directive.ts:96

  #### Returns void

### Protected hoverScrollBy

- hoverScrollBy(hovering: any, amount: any): void

- - Defined in src/dropdown/scrollable-list.directive.ts:159

  #### Parameters

  - ##### hovering: any

  - ##### amount: any

  #### Returns void

### ngAfterViewInit

- ngAfterViewInit(): void

- - Defined in src/dropdown/scrollable-list.directive.ts:73

  #### Returns void

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

- - Defined in src/dropdown/scrollable-list.directive.ts:48

  #### Parameters

  - ##### changes: SimpleChanges

  #### Returns void

### Protected onHoverDown

- onHoverDown(hovering: any): void

- - Defined in src/dropdown/scrollable-list.directive.ts:177

  #### Parameters

  - ##### hovering: any

  #### Returns void

### Protected onHoverUp

- onHoverUp(hovering: any): void

- - Defined in src/dropdown/scrollable-list.directive.ts:170

  #### Parameters

  - ##### hovering: any

  #### Returns void

### Protected onKeyDown

@HostListener({"eventName":"keydown","args":"[$event]"})

- onKeyDown(event: any): void

- - Defined in src/dropdown/scrollable-list.directive.ts:182

  #### Parameters

  - ##### event: any

  #### Returns void

### Protected onTouchMove

@HostListener({"eventName":"touchmove","args":"[$event]"})

- onTouchMove(event: any): void

- - Defined in src/dropdown/scrollable-list.directive.ts:148

  #### Parameters

  - ##### event: any

  #### Returns void

### Protected onTouchStart

@HostListener({"eventName":"touchstart","args":"[$event]"})

- onTouchStart(event: any): void

- - Defined in src/dropdown/scrollable-list.directive.ts:141

  #### Parameters

  - ##### event: any

  #### Returns void

### Protected onWheel

@HostListener({"eventName":"wheel","args":"[$event]"})

- onWheel(event: any): void

- - Defined in src/dropdown/scrollable-list.directive.ts:126

  #### Parameters

  - ##### event: any

  #### Returns void

### updateScrollHeight

- updateScrollHeight(): void

- - Defined in src/dropdown/scrollable-list.directive.ts:83

  #### Returns void

Generated using TypeDoc